# Method: customers.userinvitations.isInvitableUser

Verifies whether a user account is eligible to receive a `https://docs.cloud.google.com/identity/docs/reference/rest/v1/customers.userinvitations#UserInvitation` (is an unmanaged account).

Eligibility is based on the following criteria:

- the email address is a consumer account and it's the primary email address of the account, and
- the domain of the email address matches an existing verified Google Workspace or Cloud Identity domain

If both conditions are met, the user is eligible.

**Note:** This method is not supported for Workspace Essentials customers.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1/{name=customers/*/userinvitations/*}:isInvitableUser`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. `UserInvitation` name in the format `customers/{customer}/userinvitations/{user_email_address}` |

### Request body

The request body must be empty.

### Response body

Response for userinvitations.isInvitableUser RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "isInvitableUser": boolean } ``` |

| Fields ||
|---|---|
| `isInvitableUser` | `boolean` Returns true if the email address is invitable. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.userinvitations.readonly`
- `https://www.googleapis.com/auth/cloud-identity.userinvitations`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).